#3036 closed defect (fixed)

CPU_CMP() implementation is not in line with FreeBSD

Reported by: Sebastian Huber Owned by: joel.sherrill@…
Priority: normal Milestone: 5.1
Component: tool/newlib Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

According to the FreeBSD man page we have:

https://www.freebsd.org/cgi/man.cgi?query=cpuset&sektion=9&apropos=0&manpath=FreeBSD+11.0-RELEASE+and+Ports

The CPU_CMP() macro returns true if cpuset1 is NOT equal to cpuset2.

However, in Newlib we had:

/* return 1 if the sets set1 and set2 are equal, otherwise return 0 */
static __inline int CPU_CMP( const cpu_set_t *set1, const cpu_set_t *set2 )
{
  return CPU_EQUAL(set1, set2);
}

Change History (3)

comment:1 Changed on Jun 9, 2017 at 5:51:35 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In f7d0f5e/rtems:

spcpuset01: Update due to CPU_CMP() changes

Close #3036.

comment:2 Changed on Oct 10, 2017 at 6:25:41 AM by Sebastian Huber

Component: SMPtool/newlib

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.